import { createApp } from "vue";
import router from "./router";
import App from "./App.vue";
import { vuetify } from "./plugins/vuetify";
import { pinia } from "./plugins/pinia";
import i18n from './plugins/i18n'
import vue3GoogleLogin from 'vue3-google-login'
import VueNativeSock from "vue-native-websocket-vue3";
import { useSocketStoreWithOut } from './stores/useSocketStore';

const app = createApp(App);
const store = useSocketStoreWithOut();

app.use(pinia);
app.use(router);
app.use(vuetify);
app.use(i18n);
app.use(vue3GoogleLogin, {
    clientId: '136107811725-n71808u8t465f1afhpe2e5j7mn606nd8.apps.googleusercontent.com'
});
app.use(VueNativeSock, "ws://172.104.93.163:1853/ws", {
    store: store
});

app.mount("#app");

export default app;
